de.dhbwstuttgart.JvmDisassembler

## Class GenericsTest<a,b>

- java.lang.Object
- - de.dhbwstuttgart.JvmDisassembler.GenericsTest<a,b>

    class GenericsTest<a,b>
    extends java.lang.Object

### Field Summary

Fields
`(package private) java.lang.Object` `j`
`(package private) java.lang.Integer` `k`
`(package private) GenericsTest<java.lang.Integer,java.lang.Integer>` `pp`

### Constructor Summary

Constructors
Constructor and Description
`GenericsTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) a` `meth(a arg)`
`(package private) <t extends java.lang.Integer> t` `meth2(b arg, t arg2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### k

    java.lang.Integer k

#### pp

    GenericsTest<java.lang.Integer,java.lang.Integer> pp

#### j

    java.lang.Object j

### Constructor Detail

#### GenericsTest

    GenericsTest()

### Method Detail

#### meth

    a meth(a arg)

#### meth2

    <t extends java.lang.Integer> t meth2(b arg,
                                          t arg2)